.hero{
    background-image: url(../img/wallpapers.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    height: 100vh;
    width: 100vw;
    padding: 0 auto;
    color:  var(--txt-white);

    &__container{
        
        flex-flow: column nowrap;
        justify-content: flex-end;
        align-items: center;
        
        height: 100%; 
        padding-bottom: 80px;
        top: 0px;
        margin-top: 0px;
        margin-bottom: 0px;
        @include mobile{
                
            align-items: flex-start;
            padding-bottom: 50px;
        }
        
        .mega-title{
            font-family: NEXT ART, sans-serif;
            font-size: 50px;
            font-weight: 700;
            line-height: 75px;
            letter-spacing: 0.02em;
            text-align: left;
            
            max-width: 1080px;
            margin: 0, auto;
            align-self: flex-start;
            margin-bottom: 32px;

            @include small-desktop{
                font-size: 28px;
                font-weight: 700;
                line-height: 42px;
            }
        }
        
        .form{
            border-radius: 10px;
            background-color: var(--form-misty-white);
            display: flex;
            flex-flow: row wrap;
            align-items: baseline;
            gap: 24px;
            padding: 40px;

            font-weight: 400;
            font-size: 14px;
            line-height: 21px;

            @include small-desktop{
                justify-content: center;
            }

            @include mobile{
                padding: 0;
            }

            &__lable{
                display: flex;
                flex-direction: column;
            }

            &__option{
                border-radius: 8px;
                border: solid 1px var(--btn-green);
                color: var(--btn-green);
            }

            &__input{
                background-color: var(--form-misty-white);
                border-radius: 8px;
                color:  var(--txt-white) ;
                border: solid 1px var(--txt-white);
                box-shadow: none;
                height: 50px;
                width: 270px;
                box-sizing: border-box;
                padding: 14px 16px;

                
                font-weight: 700;
                font-size: 16px;
                line-height: 24px;

                margin-bottom: 10px;
            }

            &__input::-webkit-calendar-picker-indicator {
                background-image: url('../img/formkit_date.png');
            }

            &__link{
                       
                font-weight: 700;
                font-size: 16px;
                line-height: 20px;
                background-color: var(--txt-white);
                color: var(--btn-green);
                border: none;
                cursor: url(../img/section.blog/pointer.svg), pointer;
                @include mobile{
                    padding: 16px 36px;
                }
            }

            &__link:active{
                background-color: var(--btn-green);
                color: var(--txt-white); 
                cursor: url(../img/section.photo/pointer.png), pointer;       
            }

            &__lable{
                @include mobile{
                    display: none;
                }
                
            }

            .select{
                position: relative;
                display: flex;
                justify-content: space-between;
                &__checkbox{
                    position: absolute;
                    width: 0px;
                    height: 0px;
                }

                &__checkbox-lable{
                    position: absolute;
                    top: 0;
                    left: 0;
                    height: 100%;
                    width: 100%;
                    z-index: 100;
                    cursor: url(../img/section.blog/pointer.svg), pointer;
                }

                .options{
                    display: none;
                    position: absolute;
                    top:100%;
                    left: 0;
                    max-height: 134px;
                    margin-top: 5px;
                    overflow: hidden;
                    overflow-y: scroll;
                    border: solid 1px var(--btn-green);
                    &__item{
                        background-color: var(--txt-white);
                        color: var(--btn-green);
                        padding: 10px 16px;
                    }

                    &__item:hover{
                        background-color: var(--btn-green);
                        color: var(--txt-white);
                        cursor: url(../img/section.photo/pointer.png), pointer;
                    }

                }    

                .options::-webkit-scrollbar {
                    width: 0;
                    height: 0;
                }

                .date{
                    padding: 0;
                    border: solid 1px var(--txt-white);
                    .form__input{
                        margin: 0;
                        border: 0;
                        z-index: 101;
                        background-color: var(--btn-green);
                        color: var(--txt-white);
                    }

                    .form__input:hover{
                        cursor: url(../img/section.photo/pointer.png), pointer;
                    }
                }
            }

            .select__checkbox:checked ~ .options{
                padding: 0;
                display: flex;
                flex-direction: column;
                height: auto;
            }
        }
    }
}